<?
if ($system['reg_open'] == '0')
{
	$err[] = 'Регистрация временно приостановлена';
}

if (isset($user['id']) && $user['activate'] == 0) {
  header('Location: /index.php');
  exit;
}

if (isset($_POST['nick'])) {
	
	if ($_POST['nick'] && !preg_match("#^([A-z0-9\-\_])+$#ui", $_POST['nick'])) {
		$err[] = 'В нике присутствуют запрещенные символы';
	}
	
	if ($_POST['name'] && !preg_match("#^([A-zА-я0-9\-\_])+$#ui", $_POST['name'])) {
		$err[] = 'В имени присутствуют запрещенные символы';
	}
	
	if ($_POST['family'] && !preg_match("#^([A-zА-я0-9\-\_])+$#ui", $_POST['family'])) {
		$err[] = 'В фамилии присутствуют запрещенные символы';
	}
	
	if ($_POST['city'] && !preg_match("#^([A-zА-я0-9\-])+$#ui", $_POST['city'])) {
		$err[] = 'В городе присутствуют запрещенные символы';
	}

	if ($_POST['pol'] && !preg_match("#^([0-1])+$#ui", $_POST['pol'])) {
		$err[] = 'Ошибка Пола';
	}

	if ($_POST['country'] && !preg_match("#^([0-9])+$#ui", $_POST['country'])) {
		$err[] = 'Ошибка Странны';
	}

	if ($_POST['ank_d_r'] && !preg_match("#^([0-9])+$#ui", $_POST['ank_d_r'])) {
		$err[] = 'Ошибка Даты Рождения';
	}

	if ($_POST['ank_m_r'] && !preg_match("#^([0-9])+$#ui", $_POST['ank_m_r'])) {
		$err[] = 'Ошибка Месяца Рождения';
	}

	if ($_POST['ank_g_r'] && !preg_match("#^([0-9])+$#ui", $_POST['ank_g_r'])) {
		$err[] = 'Ошибка Года Рождения';
	}

	
	if (strlen2($_POST['nick']) > 32) {
		$err[] = 'Ник слишком длинный';
	} elseif (strlen2($_POST['nick']) < 3) {
		$err[] = 'Ник слишком короткий';
	} 
	
	if (strlen2($_POST['name']) > 32) {
		$err[] = 'Имя слишком длинное';
	} elseif (strlen2($_POST['name']) < 3) {
		$err[] = 'Имя слишком короткое';
	} 
	
	if (strlen2($_POST['family']) > 32) {
		$err[] = 'Фамилия слишком длинная';
	} elseif (strlen2($_POST['family']) < 3) {
		$err[] = 'Фамилия слишком короткая';
	}
	
	if (strlen2($_POST['city']) > 32) {
		$err[] = 'Название города слишком длинное';
	}

	if ($_POST['pol'] > 1) {
		$err[] = 'Ошибка Пола';
	}

	if ($_POST['country'] > 235) {
		$err[] = 'Ошибка Странны';
	}

	if ($_POST['ank_d_r'] > 31) {
		$err[] = 'Ошибка Даты Рождения';
	}

	if ($_POST['ank_m_r'] > 12) {
		$err[] = 'Ошибка Месяца Рождения';
	}

	if ($_POST['ank_g_r'] > 2005) {
		$err[] = 'Ошибка Года Рождения';
	}
	
	if ($sql -> selectCount("SELECT COUNT(*) FROM `users` WHERE `login` = '".$sql->esc($_POST['nick'])."'") != 0) {
		$err[] = 'К сожалению ник ' . text($_POST['nick']) . ' уже занят';
	}
	
	if (!isset($err)) {
		$_SESSION['reg_nick'] = $sql->esc($_POST['nick']);
		$_SESSION['reg_name'] = $sql->esc($_POST['name']);
		$_SESSION['reg_family'] = $sql->esc($_POST['family']);
		$_SESSION['reg_city'] = $sql->esc($_POST['city']);
		
		$_SESSION['reg_pol'] = abs((int) $_POST['pol']);	
		$_SESSION['reg_country'] = abs((int) $_POST['country']);	
		
		$_SESSION['reg_ank_d_r'] = abs((int) $_POST['ank_d_r']);	
		$_SESSION['reg_ank_m_r'] = abs((int) $_POST['ank_m_r']);	
		$_SESSION['reg_ank_g_r'] = abs((int) $_POST['ank_g_r']);
			
		$_SESSION['reg_step'] = 2;	
		header('Location: ?func=user.reg&step=2');
		exit;
	}
}

if ($level > 0 && isset($_GET['step']) && $_GET['step'] == 3 && isset($_GET['sendmail'])) {

		// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $user['login'], // {hello} . Приветствие  
	'message' => 'Благодарим Вас за регистрацию в магазине 
	<b>http://' . $_SERVER['HTTP_HOST'] . '</b>.<br />
			Ваш логин: ' . $user['login'] . ' [ID ' . $user['id'] . ']<br />
			Ваш пароль: ******<br />
			Код подтверждения: ' . $user['activate'] . '<br />
			Введите код на этой странице:
			', // обязательно текст письма, но само завизит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/?func=user.reg&step=3', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => 'Подтверждение регистрации' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Активация аккаунта';  // обязательно заголовок письма
        $addAdress = $user['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {
		$messages[] = 'Код активации выслан повторно';
        }
else  echo $OutMailer; // если есть ошибки, их покажет
}


/*
		$subject = 'Активация аккаунта';
		$regmail = 'Здравствуйте, благодарим Вас за регистрацию в магазине <b>' . text($_SERVER['SERVER_NAME']) . '</b>.<br />
		Ваш логин: ' . text($user['login']) . ' [ID ' . $user['id'] . ']<br />
		Ваш пароль: ******<br />
		Код подтверждения: ' . $user['activate'] . '<br />
		Введите код на этой странице: <a href="http://' . urlencode($_SERVER['SERVER_NAME']) . '/?func=user.reg&step=3">Подтверждение регистрации</a>';
		$adds = "From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
		$adds .= "Content-Type: text/html; charset=utf-8\n";
		mail($user['email'], '=?utf-8?B?' . base64_encode($subject).'?=', $regmail, $adds);			
    $messages[] = 'Код активации выслан повторно';
}
*/
if ($level > 0 && isset($_GET['step']) && $_GET['step'] == 3 && isset($_POST['code']) && isset($user['id']) && $user['activate'] != 0) {
	$code = (int) $_POST['code'];
	
	if ($code == $user['activate']) {
		$sql -> insert("UPDATE `users` SET `activate` = '0' WHERE `id` = '$user[id]' LIMIT 1");
		
		$country = $sql -> fetch("SELECT * FROM `countries` WHERE `id` = '$user[country]' LIMIT 1");
		
		if (function_exists('mail')) {
		
		// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $user['login'], // {hello} . Приветствие  
	'message' => 'Благодарим за регистрацию, надеемся что наш магазин заинтересовал Вас. Удачи в продажах !<br />
			ID ' . $user['id'] . '<br />
			Ваш логин: ' . $user['login'] . '<br />
			Ваш пароль: ******<br />
			Имя: ' . $user['name'] . '<br />
			Фамилия: ' . $user['family'] . '<br />
			Дата рождения: ' . $user['ank_d_r'] . '.' . $user['ank_m_r'] . '.' . $user['ank_g_r'] . '<br />
			Страна: ' . $country['name'] . '<br />
			' . ($user['city'] ? 'Город: ' . $user['city'] . '<br />' : '') . '
			' . ($user['icq'] ? 'ICQ: ' . $user['icq'] . '<br />' : '') . '
			' . ($user['skype'] ? 'Skype: ' . $user['skype'] . '<br />' : '') . '
			', // обязательно текст письма, но само завизит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/?func=user.auth', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => 'Авторизация' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Регистрация в магазине';  // обязательно заголовок письма
        $addAdress = $user['email']; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {
		
        }
else  echo $OutMailer; // если есть ошибки, их покажет
}
		
		
		/*
			$subject = 'Регистрация в магазине ' . text($_SERVER['SERVER_NAME']);
			$regmail = 'Благодарим за регистрацию, надеемся что наш магазин заинтересовал Вас. Удачи в продажах !<br />
			ID ' . $user['id'] . '<br />
			Ваш логин: ' . text($user['login']) . '<br />
			Ваш пароль: ******<br />
			Имя: ' . text($user['name']) . '<br />
			Фамилия: ' . text($user['family']) . '<br />
			Дата рождения: ' . $user['ank_d_r'] . '.' . $user['ank_m_r'] . '.' . $user['ank_g_r'] . '<br />
			Cтрана: ' . text($country['name']) . '<br />
			' . ($user['city'] ? 'Город: ' . text($user['city']) . '<br />' : '') . '
			' . ($user['icq'] ? 'ICQ: ' . text($user['icq']) . '<br />' : '') . '
			' . ($user['skype'] ? 'Skype: ' . text($user['skype']) . '<br />' : '') . '
			';
			$adds = "From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
			$adds .= "Content-Type: text/html; charset=utf-8\n";
			mail($user['email'], '=?utf-8?B?' . base64_encode($subject).'?=', $regmail, $adds);			
		}
		*/
		
		$_SESSION['reg_step'] = 4;
		header('Location: ?func=user.reg&step=4');
		exit;
	} else {
		$err[] = 'Неверный код подтверждения';
	}
}

if (isset($_POST['email'])) {
	
	if ($_POST['email'] && !preg_match('#^[A-z0-9\-\.\_]+@[A-z0-9\-]{2,}\.[A-z]{2,4}$#ui', $_POST['email'])) {
		$err[] = 'Неверный формат Email';
	}
	
	if ($sql -> selectCount("SELECT COUNT(*) FROM `users` WHERE `email` = '".$sql->esc($_POST['email'])."'") != 0) {
		$err[] = 'Пользователь с таким Email уже зарегистрирован';
	}
	
	if (!$_POST['email']) {
		$err[] = 'Вы не указали Email';
	}
	
	if ($_POST['word'] && !preg_match("#^([A-zА-я0-9])+$#ui", $_POST['word'])) {
		$err[] = 'В cлове присутствуют запрещенные символы';
	}
	
	if ($_POST['icq'] && !preg_match("#^([0-9])+$#ui", $_POST['icq'])) {
		$err[] = 'В ICQ присутствуют запрещенные символы';
	}
	
	if ($_POST['skype'] && !preg_match("#^([A-z0-9\-\_])+$#ui", $_POST['skype'])) {
		$err[] = 'В Skype присутствуют запрещенные символы';
	}
	/*
	if ($_POST['pass1'] && !preg_match("#^([A-z0-9])+$#ui", $_POST['pass1'])) {
		$err[] = 'Пароль должен содержать только английские буквы и цифры';
	}
	
	if ($_POST['pass1'] != $_POST['pass2']) {
		$err[] = 'Пароли не совпадают';
	}
	
	if (strlen2($_POST['pass1']) > 20) {
		$err[] = 'Пароль слишком длинный';
	} elseif (strlen2($_POST['pass1']) < 6) {
		$err[] = 'Пароль слишком короткий';
	} 
	*/
	
	if (strlen2($_POST['word']) > 32) {
		$err[] = 'Ответ на вопрос слишком длинный';
	} elseif (strlen2($_POST['word']) < 3) {
		$err[] = 'Ответ на вопрос слишком короткий';
	} 
  
  if ($system['captcha_reg'] == 1) {
    $captcha = (int) $_POST['captcha'];
    if ($captcha != $_SESSION['captcha']) {
      $err[] = 'Неверный код с картинки';
    }
  }
	
	
	if (!isset($err)) {

function generatePassword($length=10, $type='a-zA-Z0-9')
{
    $return = $chars = null;

    if(strstr($type, 'a-z'))
        $chars .= 'abcdefghijklmnopqrstuvwxyz';
    if(strstr($type, 'A-Z'))
        $chars .= 'ABCDEFGHIJKLMNOPRQSTUVWXYZ';
    if(strstr($type, '0-9'))
        $chars .= '0123456789';

    for($i = 0, $sl = strlen($chars) - 1; $i < $length; $i++)
        $return .= $chars[rand(0,$sl)];

    return $return;
}		
/*
	function generatePassword($length = 10){
	$chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
	$numChars = strlen($chars);
	$string = '';
	for ($i = 0; $i < $length; $i++) {
    $string .= substr($chars, rand(1, $numChars) - 1, 1);
		}
	return $string;
		}
*/
		$email = $sql->esc($_POST['email']);
		$password = generatePassword(10) ;
		//$password = $sql->esc($_POST['pass1']);
		$skype = $sql->esc($_POST['skype']);
		$word = $sql->esc($_POST['word']);
		
		$icq = abs((int) $_POST['icq']);	
		$what_word = abs((int) $_POST['what_word']);
		$activate = mt_rand(000000, 999999);	
		//$activate = generatePassword(4);
		
		$sql -> insert("INSERT INTO `users` 
		(
		`sess`, 
		`count_goods`, 
		`page_str`, 
		`design`, 
		`set_timesdvig`, 
		`ua`, 
		`ip`, 
		`date_last`, 
		`date_reg`, 
		`activate`, 
		`login`, 
        `my_links`,
		`email`, 
		`password`, 
		`keyword`, 
		`what_word`, 
		`skype`, 
		`icq`, 
		`ank_d_r`, 
		`ank_m_r`, 
		`ank_g_r`, 
		`country`, 
		`pol`, 
		`city`, 
		`name`, 
		`family`) VALUES 
		(
		'$signature', 
		'$system[count_goods_new]', 
		'$system[page_str]', 
		'$system[design]', 
		'$system[set_timesdvig]', 
		'$ua', 
		'$iplong', 
		'$time', 
		'$time', 
		'$activate', 
		'$_SESSION[reg_nick]', 
		'$_SESSION[reg_nick]', 
		'$email', 
		'" . md5($password) . "', 
		'$word', 
		'$what_word', 
		'$skype', 
		'$icq', 
		'$_SESSION[reg_ank_d_r]', 
		'$_SESSION[reg_ank_m_r]', 
		'$_SESSION[reg_ank_g_r]', 
		'$_SESSION[reg_country]', 
		'$_SESSION[reg_pol]', 
		'$_SESSION[reg_city]', 
		'$_SESSION[reg_name]', 
		'$_SESSION[reg_family]')");
		
		
		$user = $sql -> fetch("SELECT * FROM `users` WHERE `login` = '$_SESSION[reg_nick]' AND `password` = '" . md5($password) . "' LIMIT 1");

    /**
    * Запись реферала
    */
    if (isset($referal_id) && $system['ref_status'] == 1) 
    {
      if ($sql->selectCount("SELECT COUNT(*) FROM `users` WHERE `ip` = '" . $iplong . "' AND `id` != '$user[id]'") == 0) 
      {
        if ($sql->selectCount("SELECT COUNT(*) FROM `referals` WHERE `ip` = '" . $iplong . "'") == 0) 
        {
          $sql->insert("INSERT INTO `referals` (`id_user`, `id_referal`, `time`, `ip`, `url`, `wmr`) 
          VALUES ('$referal_id', '$user[id]', '" . time() . "', '$iplong', '" . $sql->esc($_COOKIE['ref_url']) . "', '" . ($system['ref_reg_wmr'] > 0 ? round($system['ref_reg_wmr']) : 0) . "')");
          
          // За регистрацию
          if ($system['ref_reg_wmr'] > 0) {
            $sql -> update("UPDATE `users` SET `wmr` = `wmr` + '" . round($system['ref_reg_wmr']) . "' WHERE `id` = '$referal_id' LIMIT 1");
            $msgref = 'Привлечение нового реферала: ' . $user['login'];
    	      $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('$time', 'referals', '$referal_id', '" . round($system['ref_reg_wmr']) . "', '$msglog')");
          }
          
          // Уведомление в журнал
          journal($referal_id, 'referals', "У вас новый реферал: [url=/wm/" . $user['my_links'] . "]" . $user['login'] . "[/url]");
        }
      }
    }		


		if (function_exists('mail')) {
		
				// в этом массиве то, что попадет в наш HTML шаблон письма
    $array = array('hello' => 'Здравствуйте ' . $_SESSION['reg_nick'], // {hello} . Приветствие  
	'message' => 'Благодарим Вас за регистрацию в магазине 
	<b>http://' . $_SERVER['HTTP_HOST'] . '</b>.<br />
			Ваш логин: ' . $_SESSION['reg_nick'] . ' [ID ' . $user['id'] . ']<br />
			Ваш пароль: <b>' . $password . '</b><br />
			Код подтверждения: <b>' . $activate . '<b><br />
			Введите код на этой странице:
			', // обязательно текст письма, но само завизит от того что в шаблоне указано. у меня {message}
	'linkbutton' => 'http://' . $_SERVER['HTTP_HOST'] . '/?func=user.reg&step=3', // у меня в шаблоне кнопка, это ссылка в ней {linkbutton}
	'textbutton' => 'Подтверждение регистрации' // а это название моей кнопки {textbutton}
    );

        $Subject = 'Активация аккаунта';  // обязательно заголовок письма
        $addAdress = $email; // сверх важно!! кому письмо
        $template = 'default'; // название шаблона и папки в которой он лежит. Если у вас свой шаблон, напишите название воего 


        // пробуем выслать наше письмо
        $OutMailer = Mailer($array, $Subject, $addAdress, $template);

        if ($OutMailer === false)
        {
		
        }
else  echo $OutMailer; // если есть ошибки, их покажет
}
		/*
		
			$subject = 'Активация аккаунта';
			$regmail = 'Здравствуйте, благодарим Вас за регистрацию в магазине <b>' . text($_SERVER['SERVER_NAME']) . '</b>.<br />
			Ваш логин: ' . text($_SESSION['reg_nick']) . ' [ID ' . $user['id'] . ']<br />
			Ваш пароль: ' . $password . '<br />
			Код подтверждения: ' . $activate . '<br />
			Введите код на этой странице: <a href="http://' . urlencode($_SERVER['SERVER_NAME']) . '/?func=user.reg&step=3">Подтверждение регистрации</a>';
			$adds = "From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
			$adds .= "Content-Type: text/html; charset=utf-8\n";
			mail($email, '=?utf-8?B?' . base64_encode($subject).'?=', $regmail, $adds);			
		}
*/
		$_SESSION['id_user'] = $user['id'];
		setcookie('id_user', $user['id'], time() + 60 * 60 * 24 * 365);
		setcookie('pass', cookie_encrypt($password, $user['id']), time() + 60 * 60 * 24 * 365);

		$_SESSION['reg_step'] = 3;	
		header('Location: ?func=user.reg&step=3');
		exit;
	}
}

if (!isset($_SESSION['reg_step'])) {
	$_SESSION['reg_step'] = 1;
}

if (!isset($_GET['step'])) {
	$_GET['step'] = 1;
}

$system['title'] = 'Регистрация';
require SYS . 'header.php';


?>
<div class="rows-back">
<div class="rows <?= ($_GET['step'] == 1 || $_GET['step'] == 2 ? 'rows-active' : '')?> <?= ($_GET['step'] == 3 ? 'rows-act' : '')?>">Персональные данные</div>
<div class="rows <?= ($_GET['step'] == 3 ? 'rows-active rows-margin' : '')?> <?= ($_GET['step'] == 4 ? 'rows-act' : '')?>">Проверка E-Mail</div>
<div class="rows <?= ($_GET['step'] == 4 ? 'rows-active rows-margin' : '')?>">Завершение регистрации</div>
</div>
<?

if (isset($user) && $user['activate'] == '0') {
?>
<div class="alert alert-success">
<center>
<img src="<?= ICONS?>big_ok.png" /> Аккаунт успешно активирован!<br />
<a href="/" class="btn">Перейти на сайт</a>
</center>
</div>
<?	
} elseif (isset($user) && isset($_GET['step']) && $_GET['step'] == 3 && $user['activate'] != '0') {
?>
<form class="form-horizontal" action="?func=user.reg&amp;step=3" method="POST" style="margin: 2px;">
	<div class="alert alert-block" style="margin: 2px;">
	  <button type="button" class="close" data-dismiss="alert">&times;</button>
	  <h4>Внимание!</h4>
	  На ваш Email выслано письмо, с кодом подтверждения.
	</div>
	
  <div class="control-group warning">
    <label class="control-label" for="inputCode">Код подтверждения</label>
    <div class="controls">
      <input type="text" id="inputCode" name="code" placeholder="Код подтверждения.."><br />
      [<a href="?func=user.reg&amp;step=3&amp;sendmail">выслать код повторно</a>]
    </div>
  </div>
  
  <div class="control-group" style="margin: 2px;">
    <div class="controls">
      <button type="submit" class="btn">Завершить регистрацию</button>
    </div>
  </div>
</form>
<?	
} elseif (isset($_SESSION['reg_step']) && isset($_GET['step']) && $_SESSION['reg_step'] == 2) {
?>
<form class="form-horizontal" action="?func=user.reg&amp;step=2" method="POST">

  <div class="control-group warning">
    <label class="control-label" for="inputEmail">Email</label>
    <div class="controls">
      <input type="text" id="inputEmail" name="email" placeholder="Email">
    </div>
  </div>
  <?/*
  <div class="control-group warning">
    <label class="control-label" for="inputPassword">Пароль</label>
    <div class="controls">
      <input type="password" id="inputPassword"  name="pass1" placeholder="Укажите пароль..">
    </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="inputPassword">Пароль еще раз</label>
    <div class="controls">
      <input type="password" id="inputPassword"  name="pass2" placeholder="Подтвердите пароль..">
    </div>
  </div>
  */?>
 
  <div class="control-group warning">
  	<label class="control-label" for="inputGod">Секретный вопрос</label>
	  <div class="controls">
		<select name="what_word" id="inputGod" class="span1" style="width: auto;">
		<?
		$whats = array('1' => 'Любимое животное', '2' => 'Имя школьной учительницы', '3' => 'Девичья фамилия матери', '4' => 'Любимый город', '5' => 'Любимое блюдо');
		
		foreach ($whats AS $key => $name) {
			?><option value="<?= $key?>"><?= $name?></option><?
		}
		?>
		</select>
	  </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="inputWord">Ответ на вопрос</label>
    <div class="controls">
      <input type="text" id="inputWord" name="word" placeholder="Ответ.. ">
    </div>
  </div>
  
  <div class="control-group">
    <label class="control-label" for="inputIcq">ICQ</label>
    <div class="controls">
      <input type="text" id="inputIcq" name="icq" placeholder="Номер ICQ.. ">
    </div>
  </div>
  
  <div class="control-group">
    <label class="control-label" for="inputSkype">Skype</label>
    <div class="controls">
      <input type="text" id="inputSkype" name="skype" placeholder="Логин Skype.. ">
    </div>
  </div>
  
  <? if ($system['captcha_reg'] == 1) { ?>
  <div class="control-group">
    <label class="control-label" for="captcha">Код с картинки</label>
    <div class="controls">
     <img src="/_src/captcha.php?sid=<?= mt_rand(10000, 99999); ?>" id="captcha" class="captcha" /> <input type="text" id="captcha" class="captcha" name="captcha" placeholder="Введите код с картинки..">
    </div>
  </div>
  <? } ?>
  
  <div class="control-group">
    <div class="controls">
      <button type="submit" class="btn">Далее</button>
    </div>
  </div>
</form>
<?	
} else {
?>
<form class="form-horizontal" action="?func=user.reg" method="POST">
  <div class="control-group warning">
    <label class="control-label" for="inputNick">Ник</label>
    <div class="controls">
      <input type="text" id="inputNick" name="nick" placeholder="Логин.." maxlength="32" />
    </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="inputName">Имя</label>
    <div class="controls">
      <input type="text" id="inputName" name="name" placeholder="Имя.." maxlength="32" />
    </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="inputFam">Фамилия</label>
    <div class="controls">
      <input type="text" id="inputFam" name="family" placeholder="Фамилия.." maxlength="32" />
    </div>
  </div>
  
  <div class="control-group warning">
  	<label class="control-label" for="optionsRadios1">Пол</label>
	  <div class="controls">
		<label class="radio">
		  <input type="radio" name="pol" id="optionsRadios1" value="1" checked>
		  Мужской
		</label>
		<label class="radio">
		  <input type="radio" name="pol" id="optionsRadios2" value="0">
		  Женский
		</label>
	  </div>
  </div>
  
  <div class="control-group warning">
  	<label class="control-label" for="inputGod">Дата рождения</label>
	  <div class="controls">
		<select name="ank_d_r" id="inputGod" class="span1" style="width: auto;">>
		<?
		for ($Y = 1; $Y <= 31; $Y++) {
			?><option value="<?= $Y?>"><?= $Y?></option><?
		}
		?>
		</select>
		
		<select name="ank_m_r" id="inputGod" class="span1" style="width: auto;">
		<?
		$date = array(
		'1' => 'Января', '2' => 'Февраля', '3' => 'Марта', 
		'4' => 'Апреля', '5' => 'Мая', '6' => 'Июня', 
		'7' => 'Июля', '8' => 'Августа', '9' => 'Сентябрь', 
		'10' => 'Октября', '11' => 'Ноября', '12' => 'Декабря');
		
		foreach ($date AS $day => $month) {
			?><option value="<?= $day?>"><?= $month?></option><?
		}
		?>
		</select>
		
		<select name="ank_g_r" id="inputGod" class="span1" style="width: auto;">>
		<?
		$date = (date('Y') - 9);
		
		for ($Y = $date; $Y > ($date - 65); $Y--) {
			?><option value="<?= $Y?>"><?= $Y?></option><?
		}
		?>
		</select>
	  </div>
  </div>
  
  <div class="control-group warning">
  	<label class="control-label" for="inputCountry">Страна</label>
	  <div class="controls">
		<select id="inputCountry" name="country">
		<?
		$query = $sql->select('SELECT * FROM `countries` ORDER BY `id` ASC');
		
		foreach ($query AS $country) {
			?><option value="<?= $country['id']?>"><?= text($country['name'])?></option><?
		}
		?>
		</select>
	  </div>
  </div>
  
  <div class="control-group">
    <label class="control-label" for="inputCity">Город</label>
    <div class="controls">
      <input type="text" id="inputCity" name="city" placeholder="Город.." maxlength="32" />
    </div>
  </div>
  
  <div class="control-group">
    <div class="controls">
      <button type="submit" class="btn">Далее</button>
    </div>
  </div>
</form>
<?	
}
